require 'json'
require 'eyes_selenium_ruby/eyes_logger'
require 'json'
module Applitools
  include EyesLogger
  class EyesError < StandardError; end
  class EyesAbort < EyesError; end

  class TestFailedError < StandardError
    attr_accessor :test_results
    def initialize(message, test_results=nil)
      super(message)
      @test_results = test_results
    end
  end
  class NewTestError < TestFailedError; end

  require 'eyes_selenium_ruby/utils'
  require "eyes_selenium_ruby/eyes/agent_connecter"
  require "eyes_selenium_ruby/eyes/target_app"
  require 'eyes_selenium_ruby/eyes/batch_info'
  require "eyes_selenium_ruby/eyes/dimension"
  require "eyes_selenium_ruby/eyes/driver"
  require 'eyes_selenium_ruby/eyes/element'
  require 'eyes_selenium_ruby/eyes/environment'
  require 'eyes_selenium_ruby/eyes/eyes'
  require 'eyes_selenium_ruby/eyes/eyes_keyboard'
  require 'eyes_selenium_ruby/eyes/eyes_mouse'
  require 'eyes_selenium_ruby/eyes/failure_reports'
  require 'eyes_selenium_ruby/eyes/match_level'
  require 'eyes_selenium_ruby/eyes/match_window_data'
  require 'eyes_selenium_ruby/eyes/match_window_task'
  require 'eyes_selenium_ruby/eyes/mouse_trigger'
  require 'eyes_selenium_ruby/eyes/region'
  require 'eyes_selenium_ruby/eyes/screenshot_taker'
  require 'eyes_selenium_ruby/eyes/session'
  require 'eyes_selenium_ruby/eyes/start_info'
  require 'eyes_selenium_ruby/eyes/test_results'
  require 'eyes_selenium_ruby/eyes/text_trigger'
  require "eyes_selenium_ruby/version"
  require 'eyes_selenium_ruby/eyes/viewport_size'
end
