class Applitools::Region
  attr_accessor :left, :top, :height, :width

  def initialize(left, top, height, width)
    @left = left
    @top = top
    @height = height
    @width = width
  end

  def middle_offset
    mid_x = width / 2
    mid_y = height / 2
    Selenium::WebDriver::Location.new mid_x, mid_y
  end

  def to_hash
    {
      "$type" => "Applitools.Utils.Geometry.MutableRegion, Core", left: left, top: top, height: height, width: width
    }
  end
end
