class Applitools::TargetApp

  attr_reader :url, :session_id, :user_agent

  def initialize(url, session_id, user_agent)
    @url = url
    @session_id = session_id
    @user_agent = user_agent
  end

  def to_hash
    {
      "$type" => "Applitools.Framework.TargetWebDriverApplication, Core", 
      url: URI.encode(url.to_s), sessionId: session_id, userAgent: user_agent
    }
  end
end
