require 'logger'

module EyesLogger
  def self.logger(to=STDOUT, level=Logger::INFO)
    return @@log if defined?(@@log)
    @@log = Logger.new(to)
    @@log.level = level
    @@log
  end

  def self.info(msg)
    logger.info(msg)
  end

  def self.debug(msg)
    logger.debug(msg)
  end
end
