class Applitools::MouseTrigger

  MouseAction = { click: 1, right_click: 2,  double_click: 3,  move: 4,  down: 5,  up: 6 }

  attr_reader :mouse_action, :control, :location

  def initialize(mouse_action, control, location)
    @mouse_action = MouseAction[mouse_action]
    @control = control
    @location = location
  end

  def to_hash
    {
      "$type" => "Applitools.Models.MouseTrigger, Core", mouseAction: mouse_action,
      control: control.to_hash, location: Hash[location.each_pair.to_a]
    }
  end
end
