class Applitools::TestResults
  attr_reader :steps, :matches, :mismatches, :missing, :exact_matches, :strict_matches,
              :context_matches, :layout_matches, :none_matches
  def initialize(steps=0, matches=0, mismatches=0, missing=0,
                 exact_matches=0, strict_matches=0, content_matches=0, 
                 layout_matches=0, none_matches=0)
    @steps = steps
    @matches = matches
    @mismatches =  mismatches
    @missing =  missing
    @exact_matches =  exact_matches
    @strict_matches = strict_matches
    @content_matches =  content_matches
    @layout_matches =  layout_matches
    @none_matches =  none_matches
  end

  def to_s
    "[ steps: #{steps}, matches: #{matches}, mismatches: #{mismatches}, missing: #{missing} ]"
  end
end
